Bug 883658 - [US2438][fork_ami] Can't set cartridge storage successfully with -c option added
Summary: [US2438][fork_ami] Can't set cartridge storage successfully with -c option added
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: oc
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Justin Harris
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-05 05:03 UTC by Rony Gong 🔥
Modified: 2015-05-15 02:09 UTC (History)
2 users (show)

Fixed In Version: fork_ami_US2438_rhc_cartridge_storage_commands_improved_317
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-19 19:26:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rony Gong 🔥 2012-12-05 05:03:42 UTC
Description of problem:
We can't set cartridge storage successfully with -c option added, but could set storage successfully without -c option, like:
[qgong@localhost dev]$ rhc cartridge storage  -a qphp  php-5.3 --add 2
Password: 

RESULT:
Success: additional storage space set to 24GB
Storage Info
============
  Additional Gear Storage = 24GB
  Base Gear Storage       = 1GB


Version-Release number of selected component (if applicable):
fork_ami_US2438_rhc_cartridge_storage_commands_improved_313

How reproducible:
always

Steps to Reproduce:
1.Create an app, eg php-5.3
2.Set this cartridge storage by:
rhc cartridge storage  -a qphp -c php-5.3 --set 2

Actual results:
[qgong@localhost dev]$ rhc cartridge storage  -a qphp -c php-5.3 --set 2
Password: 

Exactly one cartridge must be specified for this operation
[qgong@localhost dev]$ rhc cartridge storage  -a qphp -c php-5.3 --remove 2
Password: 

Exactly one cartridge must be specified for this operation
[qgong@localhost dev]$ rhc cartridge storage  -a qphp -c php-5.3 --add 2
Password: 

Exactly one cartridge must be specified for this operation


Expected results:
Could set storage successfully with add -c option, like:
[qgong@localhost dev]$ rhc cartridge storage  -a qphp -c php-5.3 --add 2
Password: 

RESULT:
Success: additional storage space set to 24GB
Storage Info
============
  Additional Gear Storage = 24GB
  Base Gear Storage       = 1GB

Additional info:

Comment 1 N. Harrison Ripps 2012-12-05 14:48:50 UTC
Assigned.

Comment 2 Rony Gong 🔥 2012-12-06 02:51:10 UTC
Verified on fork_ami_US2438_rhc_cartridge_storage_commands_improved_317
[qgong@localhost dev]$ rhc cartridge storage -a qsphp  -c mongodb-2.2 --set 2
Password: 


RESULT:
Success: additional storage space set to 2GB
Storage Info
============
  Base Gear Storage       = 1GB
  Additional Gear Storage = 2GB

[qgong@localhost dev]$ rhc cartridge storage -a qsphp  -c mongodb-2.2 --add 2
Password: 


RESULT:
Success: additional storage space set to 4GB
Storage Info
============
  Additional Gear Storage = 4GB
  Base Gear Storage       = 1GB

[qgong@localhost dev]$ rhc cartridge storage -a qsphp  -c mongodb-2.2 --remove 1
Password: 


RESULT:
Success: additional storage space set to 3GB
Storage Info
============
  Base Gear Storage       = 1GB
  Additional Gear Storage = 3GB


Note You need to log in before you can comment on or make changes to this bug.